﻿using ProjectItCompany.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectItCompany.Entities;

public class Contract
{
    public int Id { get; private set; }
    public DateTime Date { get; private set; } 
    public decimal ProjectId { get; private set; }
    public IEnumerable<CustomerOnProject> CustomerId
    {
        get;
        private set;
    } = [];

    public static Contract CreateOpeartion(int id, DateTime date, decimal projectid, IEnumerable<CustomerOnProject> customerOnContract)
    {
        return new Contract
        {
            Id = id,
            Date = date,
            ProjectId = projectid,
            CustomerId = customerOnContract
        };
    }
}
