﻿using ProjectItCompany.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectItCompany.Entities;

public class CustomerOnProject
{
    public int Id { get; private set; }
    public decimal ContractId { get; private set; }
    public decimal CustomerId { get; private set; }
    public string Description { get; private set; } = string.Empty;
    public static CustomerOnProject CreateElement(int id, decimal contractId, decimal customerid, string description)
    {
        return new CustomerOnProject
        {
            Id = id,
            ContractId = contractId,
            CustomerId = customerid,
            Description = description
        };
    }
}
