﻿using ProjectItCompany.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectItCompany.Entities;

public class Project
{
    public int Id { get; private set; }
    public string NameProject { get; private set; } = string.Empty;
    public decimal CustomerId { get; private set; }
    public CompletedStages CompletedStages { get; private set; }

    public static Project CreateEntity(int id, string nameProject, decimal customerid, CompletedStages completedStages)
    {
        return new Project
        {
            Id = id,
            NameProject = nameProject ?? string.Empty,
            CustomerId = customerid,
            CompletedStages = completedStages
        };
    }

}
