﻿using ProjectItCompany.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectItCompany.Entities;

public class Wage
{
    public int Id { get; private set; }
    public Month Month { get; private set; }
    public int Year { get; private set; }
    public int NumberOfHours { get; private set; }
    public int ExecutorID { get; private set; }
    public static Wage CreateOpeartion(int id, Month month, int year, int numberOfHours, int executorId)
    {
        return new Wage
        {
            Id = id,
            Month = month,
            Year = year,
            NumberOfHours = numberOfHours,
            ExecutorID = executorId
        };
    }
}
